<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <title>TP4 - Logiciel</title>
    <style>
      /* Add CSS styles for padding */
      #captures-ecran {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        max-width: 800px; /* Set a maximum width for the container */
        margin: 0 auto; /* Center the container */
    }

    #video img {
      display: block;
      margin: 0 auto;
  }

    /* Add CSS styles for individual images */
    #captures-ecran img {
        width: 30%; /* Adjust the percentage as needed */
        max-width: 300px; /* Set a maximum width for the images */
        height: auto; /* Maintain the aspect ratio */
        margin-bottom: 10px;
        box-sizing: border-box; /* Include padding and border in the total width */
    }
    .container header, .container section {
      margin-bottom: 50px;
    }
    #titre {
      padding-top: 30px; /* Adjust the top padding as needed */
      padding-bottom: 30px; /* Adjust the bottom padding as needed */
  }
  </style>
    <link rel="icon" href="images/favicon.png" type="image/gif" />
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />
    <link
      href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap"
      rel="stylesheet"
    />
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <link href="css/style.css" rel="stylesheet" />
    <link href="css/responsive.css" rel="stylesheet" />
  </head>
  <body class="sub_page">
    <div class="hero_area mb-5">
      <header class="header_section long_section px-0">
        <nav class="navbar navbar-expand-lg custom_nav-container">
          <a class="navbar-brand" href="index.html">
            <span>L'Orienteur</span>
          </a>
          <button
            class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link" href="index.html">Accueil</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="materiel.html">Matériel</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="experimentations.html">Expérimentations</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="logiciel.html">Logiciel</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="montage.html">Montage</a>
              </li>
            </ul>
          </div>
        </nav>
      </header>
    </div>

    <section class="container pt-5 text-justify">
      <header>
        <h1><strong>Logiciel</strong></h1>
        <p>Présentation de la stack technologique et justification des choix</p>
    </header>

    <section id="stack-techno">
        <h2>Stack Technologique</h2>
        <p>
            Notre logiciel repose sur la technologie Android Studio, offrant une plateforme
            robuste et flexible pour le développement d'applications mobiles sous Android.
        </p>
    </section>

    <section id="justification">
        <h2>Justification des Choix Technologiques</h2>
        <p>
          Nous avons choisi Android Studio en raison de sa notoriété dans le développement
          d'applications Android, offrant une intégration fluide avec les fonctionnalités
          que nous avons prévues pour faciliter l'expérience des nouveaux étudiants.
      </p>
      <p>
          De manière innovante, pour créer des chemins visuels, nous avons utilisé une vidéo
          360°. Bien que la présence d'un crâne dans la vidéo ait pu causer un certain
          inconfort, nous avons choisi de conserver l'essentiel de la vidéo pour démontrer
          efficacement le chemin aux utilisateurs. En raison de contraintes techniques,
          la vidéo 360° est présentée sous forme d'une vidéo 2D dans notre
          interface graphique, offrant malgré tout une expérience immersive aux utilisateurs.
      </p>
    </section>
    <h3 id="titre"><strong>Résultat Interface Graphique</strong></h3>
    <section id="captures-ecran">
      <!-- Capture d'écran 1 avec titre -->
      <!-- <h3><strong>Selection Destination</strong></h3> -->
      <img src="/images/image1.png" alt="Capture d'écran 1" width="300" height="500">

      <!-- Capture d'écran 2 avec titre -->
      <!-- <h3><strong>Selection Emplacement</strong></h3> -->
      <img src="/images/image2.png" alt="Capture d'écran 2" width="300" height="500">

      <!-- Capture d'écran 3 avec titre -->
      <!-- <h3><strong>Selection Méthode</strong></h3> -->
      <img src="/images/image3.png" alt="Capture d'écran 3" width="300" height="500">
  </section>
  <section id="video">
      <!-- Capture d'écran 4 avec titre -->
      <h3 id="titre"><strong>Résultat Vidéo</strong></h3>
      <img src="/images/image4.png" alt="Capture d'écran 4" width="500" height="300">
  </section>


    <footer class="footer_section mt-5">
      <div class="container">
        <p>
          &copy; <span id="displayYear">2023 Cégep Garneau</span> - Conçu par
          Gabriel Auger, Alec Paquette & Philippe Raymond
        </p>
      </div>
    </footer>

    <script src="js/jquery-3.4.1.min.js"></script>
    <script src="js/bootstrap.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
  </body>
</html>
